Debian编译安装最新版本 vim

vim

vim 是 Linux 系统上的最著名的文本/代码编辑器,也是早年 vi 编辑器的加强版。同时,vim 也是我们使用 Linux 系统不可或缺的工具。

安装编译环境

1
sudo apt install -y build-essential

安装依赖包

1
sudo apt install libncurses5-dev

移除原有的 vim

1
sudo apt remove vim-commen vim-tiny

下载 vim 二进制包

1
2
3
wget http://ftp.vim.org/ftp/ftp/vim/unix/vim-8.0.tar.bz2
tar xvf vim-8.0.tar.bz2
cd vim80/

编译安装

1
2
3
# 注意:编译选项中有 Python 版本相关信息,如果你的 Python 版本不是 3.5,请手动修改
./configure --with-features=huge --enable-pythoninterp=yes --enable-cscope --enable-fontset --enable-perlinterp --enable-rubyinterp --with-python-config-dir=/usr/lib/python3.5/plat-x86_64-linux-gnu/ --prefix=/usr
make && sudo make install

查看 vim 版本

1
vim --version

现在,最新版的 vim 已经安装到你的环境了,如果以后要编译新版本的 vim,下载最新的包,重复步骤五即可。

-------------本文结束感谢阅读-------------
  • 本文标题:Debian编译安装最新版本 vim
  • 本文作者:xlui
  • 发布时间:2017年07月26日 - 20:07
  • 最后更新:2018年09月05日 - 17:09
  • 本文链接: https://xlui.me/t/compile-install-vim/
  • 版权声明: 本博客所有文章除特别声明外,均采用 CC BY-NC-ND 4.0 许可协议。转载请注明出处!